## org.eclipse.datatools.modelbase.dbdefinition.impl
Class ExtendedDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.ExtendedDefinitionImpl

All Implemented Interfaces:
  ExtendedDefinition

public class ExtendedDefinitionImpl
extends EObjectImpl
implements ExtendedDefinition

An implementation of the model object 'Extended Definition'.

The following features are implemented:

- `Name`
- `Value`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`java.lang.String` `getName()`
`java.lang.String` `getValue()`
`void` `setName(java.lang.String newName)`
`void` `setValue(java.lang.String newValue)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ExtendedDefinition`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `ExtendedDefinition.setName(String)`, `DatabaseDefinitionPackage.getExtendedDefinition_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `ExtendedDefinition`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `ExtendedDefinition.getName()`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `ExtendedDefinition`
  Returns:
    the value of the 'Value' attribute.
  See Also:
    `ExtendedDefinition.setValue(String)`, `DatabaseDefinitionPackage.getExtendedDefinition_Value()`

### setValue

    public void setValue(java.lang.String newValue)

  Specified by:
    `setValue` in interface `ExtendedDefinition`
  Parameters:
    `newValue` - the new value of the 'Value' attribute.
  See Also:
    `ExtendedDefinition.getValue()`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(EStructuralFeature eFeature)

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.